summaryrefslogtreecommitdiffstats
path: root/tests/posix/type_bind_mount.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/posix/type_bind_mount.sh')
-rw-r--r--tests/posix/type_bind_mount.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/tests/posix/type_bind_mount.sh b/tests/posix/type_bind_mount.sh
new file mode 100644
index 0000000..87b1549
--- /dev/null
+++ b/tests/posix/type_bind_mount.sh
@@ -0,0 +1,12 @@
+skip_unless test "$SUDO"
+skip_unless test "$UNAME" = "Linux"
+
+rm -rf scratch/*
+$TOUCH scratch/{file,null}
+sudo mount --bind /dev/null scratch/null
+
+bfs_diff scratch -type c
+ret=$?
+
+sudo umount scratch/null
+return $ret